aria2 拒绝服务代码执行漏洞

CVE编号

CVE-2009-3617

利用情况

暂无

补丁情况

N/A

披露时间

2009-10-21
漏洞描述
Format string vulnerability in the AbstractCommand::onAbort function in src/AbstractCommand.cc in aria2 before 1.6.2, when logging is enabled, allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via format string specifiers in a download URI. NOTE: some of these details are obtained from third party information.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 * Up to
(including)
1.6.1
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.11.3 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.11.4 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.11.5 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.12.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.12.1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.13.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.13.0+1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.13.1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.13.1+1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.13.2 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.13.2+1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.14.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.14.0+1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.15.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.15.1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.15.1+1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.15.1+2 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.15.2 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.15.3 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.16.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.16.1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 0.16.2 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.0.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.1.1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.1.2 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.2.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.3.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.3.1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.3.2 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.3.3 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.4.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.4.1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.5.0 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.5.1 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.5.2 -
运行在以下环境
应用 tatsuhiro_tsujikawa aria2 1.6.0 -
CVSS3评分
7.6
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    N/A
  • 用户交互
    需要
  • 可用性
    完全地
  • 保密性
    完全地
  • 完整性
    完全地
CWE-ID 漏洞类型
CWE-134 使用外部控制的格式字符串
阿里云安全产品覆盖情况